Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Functions
- Variables
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - e -

- e_script : cmdline_options
- eargp : child_info
- ec : rb_econv_init_by_convpath_t , gzfile
- ecflags : gzfile , rb_io_t::rb_io_enc_t
- ecopts : rb_io_t::rb_io_enc_t , gzfile
- elems : rb_econv_t
- enable_close : dl_handle
- enc : reg_named_capture_assign_t , OnigErrorInfo , re_pattern_buffer , gzfile , rb_io_t::rb_io_enc_t , OptEnv , dir_data , INamesArg , type_cclass_key , glob_args , ScanEnv , cmdline_options , rb_encoding_entry , search_path_queue_tag , default_encoding , parser_params
- enc2 : gzfile , rb_io_t::rb_io_enc_t
- enclose : _Node
- enclosed : thgroup
- encoding : yaml_event_s , yaml_parser_s , yaml_emitter_s , yaml_token_s
- encodings : dump_arg
- encs : rb_io_t , argf
- end : gzfile , heaps_header , rmatch_offset , iseq_catch_table_entry , _OnigStackType , st_str_end_key , StrNode , ensure_range , yaml_event_s , yaml_node_s , yaml_document_s , yaml_parser_s , yaml_emitter_s , yaml_string_t , OnigCaptureTreeNodeStruct , re_registers , zstream::zstream_funcs
- end_implicit : yaml_document_s
- end_label : iseq_compile_data
- end_mark : yaml_token_s , yaml_event_s , yaml_node_s , yaml_document_s
- ensure_node : iseq_compile_data_ensure_node_stack , iseq_compile_data
- ensure_node_stack : iseq_compile_data
- entries : st_table , trans_open_t
- entries_packed : st_table
- entry : RNode
- env : IApplyCaseFoldArg , rb_env_t , rb_binding_t
- env_modification : rb_execarg
- env_size : rb_env_t
- envp_buf : rb_execarg
- envp_str : rb_execarg
- envval : rb_proc_t
- eof : yaml_parser_s
- eofp : parser_params
- ep : rb_control_frame_struct , rb_block_struct
- eql : equal_data
- erange : iseq_compile_data_ensure_node_stack
- err_info : iseq_compile_data
- errinfo : rb_thread_struct
- errnum : asynchronous_arg_t
- error : yaml_parser_s , yaml_emitter_s , select_args , ScanEnv
- error_bytes_len : rb_econv_t
- error_bytes_start : rb_econv_t
- error_end : ScanEnv
- error_no : copy_stream_struct
- error_tc : rb_econv_t
- errstatus : cparse_params
- esc : OnigMetaCharTableType
- escaped : OnigToken
- ev : call_queue , invoke_queue , eval_queue
- event : rb_trace_arg_struct
- event_hooks : rb_vm_struct , rb_thread_struct
- event_id : oleeventdata
- events : rb_hook_list_struct , yaml_emitter_s , rb_event_hook_struct , rb_tp_struct
- exact : re_pattern_buffer
- exact_end : re_pattern_buffer
- exb : NodeOptInfo
- except : select_args
- execarg_obj : child_info , rb_exec_arg
- exist_level : OnigToken
- exm : NodeOptInfo
- expanded_load_path : rb_vm_struct
- exponent : Real
- expr : NodeOptInfo
- ext : cmdline_options